Partial Public Class SilverlightTabControl
    Inherits UserControl

    Public Sub New 
        InitializeComponent()
    End Sub

  Private Sub tabControl1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs)
    Dim tc As TabControl = TryCast(sender, TabControl)
    'TabItem pagina = tc.SelectedItem as TabItem;
    ' Página seleccionada
    Dim pagina As TabItem = TryCast(e.AddedItems(0), TabItem)
    System.Diagnostics.Debug.WriteLine("Página: " & tc.SelectedIndex)
  End Sub

  Private Sub bt1_Click(sender As Object, e As RoutedEventArgs)
    If Me.cb1.IsChecked = True Then
      System.Diagnostics.Debug.WriteLine("Opción 1 seleccionada")
    End If
  End Sub

  Private Sub bt2_Click(sender As Object, e As RoutedEventArgs)
    If Me.cb4.IsChecked = True Then
      System.Diagnostics.Debug.WriteLine("Opción 4 seleccionada")
    End If
  End Sub
End Class
